/*!
  @header Encore
  @abstract This file includes all public headers
 
  @availability OS X, GNUstep
  @copyright 2004, 2005, 2006 Oliver Langer

  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  23.02.05 ola     initial version
  22.08.06 ola     license changed
  -------------------------------------------------------------------------
  </pre>
*/

#if !defined(__Encore_H)
#define __Encore_H

#include <ECObject.h>
#include <ECMemory.h>
#include <ECExceptions.h>
#include <ECIterator.h>
#include <ECCache.h>
#include <ECCacheItem.h>
#include <ECArrayIterator.h>
#include <ECStack.h>
#include <ECEmptyIterator.h>
#include <ECKeyToListMap.h>
#include <ECTestcase.h>
#include <ECTestSuite.h>
#include <ECTestResult.h>
#include <ECXMLControl.h>
#include <ECParameterString.h>
#include <ECStringUtils.h>
#include <ECLogging.h>
#include <ECDefaultLoggingFormatter.h>
#include <ECNSLogLoggingWriter.h>
#include <ECLoggingConfigurationFactory.h>
#include <ECLoggingConfiguration.h>
#include <ECFileLoggingWriter.h>
#include <ECLoggingXMLConfiguration.h>
#include <ECStandardOutput.h>
#include <ECEnumeratorIterator.h>
#include <ECXMLControlRuleSelector.h>
#include <ECXMLControlDelegateMessageRule.h>
#endif
